cancel
Showing results for 
Search instead for 
Did you mean: 

Can't install SUPEE-6285

Can't install SUPEE-6285

I am trying to install the patch SUPEE-6285, but I get the error below. Any idea what I am doing wrong? I did installed the required SUPEE-5994. Thanks in advance!

------
lifesupportprint@lifesupportprint.com [~/public_html]# sh PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.
lifesupportprint@lifesupportprint.com [~/public_html]# sh PATCH_SUPEE-6237_EE_1.14.2.0_v1-2015-06-18-05-24-23.sh
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.
lifesupportprint@lifesupportprint.com [~/public_html]# sh PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

patching file app/Mage.php
Hunk #1 succeeded at 813 (offset -1 lines).
patching file app/code/community/Phoenix/Moneybookers/controllers/MoneybookersController.php
patching file app/code/core/Mage/Adminhtml/Controller/Action.php
patching file app/code/core/Mage/Adminhtml/controllers/AjaxController.php
patching file app/code/core/Mage/Adminhtml/controllers/Catalog/Category/WidgetController.php
patching file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/DatafeedsController.php
patching file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/ReviewController.php
patching file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/WidgetController.php
patching file app/code/core/Mage/Adminhtml/controllers/Cms/Block/WidgetController.php
patching file app/code/core/Mage/Adminhtml/controllers/Cms/Page/WidgetController.php
patching file app/code/core/Mage/Adminhtml/controllers/Cms/PageController.php
patching file app/code/core/Mage/Adminhtml/controllers/Cms/WysiwygController.php
patching file app/code/core/Mage/Adminhtml/controllers/Customer/System/Config/ValidatevatController.php
patching file app/code/core/Mage/Adminhtml/controllers/JsonController.php
patching file app/code/core/Mage/Adminhtml/controllers/NotificationController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/CustomerController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/ProductController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/ReviewController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/SalesController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/ShopcartController.php
patching file app/code/core/Mage/Adminhtml/controllers/Report/TagController.php
patching file app/code/core/Mage/Adminhtml/controllers/ReportController.php
patching file app/code/core/Mage/Adminhtml/controllers/Rss/CatalogController.php
patching file app/code/core/Mage/Adminhtml/controllers/Rss/OrderController.php
patching file app/code/core/Mage/Adminhtml/controllers/Sales/Billing/AgreementController.php
patching file app/code/core/Mage/Adminhtml/controllers/Sales/Order/View/GiftmessageController.php
patching file app/code/core/Mage/Adminhtml/controllers/Sales/Recurring/ProfileController.php
patching file app/code/core/Mage/Adminhtml/controllers/Sales/TransactionsController.php
patching file app/code/core/Mage/Adminhtml/controllers/System/Config/System/StorageController.php
patching file app/code/core/Mage/Adminhtml/controllers/TagController.php
patching file app/code/core/Mage/Adminhtml/controllers/Tax/RateController.php
patching file app/code/core/Mage/Adminhtml/controllers/TaxController.php
patching file app/code/core/Mage/Api2/controllers/Adminhtml/Api2/AttributeController.php
patching file app/code/core/Mage/Bundle/controllers/Adminhtml/Bundle/SelectionController.php
patching file app/code/core/Mage/Captcha/controllers/Adminhtml/RefreshController.php
patching file app/code/core/Mage/Centinel/controllers/Adminhtml/Centinel/IndexController.php
patching file app/code/core/Mage/Checkout/controllers/MultishippingController.php
patching file app/code/core/Mage/Connect/controllers/Adminhtml/Extension/LocalController.php
patching file app/code/core/Mage/ImportExport/Model/Abstract.php
Hunk #1 succeeded at 89 with fuzz 2 (offset -6 lines).
patching file app/code/core/Mage/Oauth/controllers/Adminhtml/Oauth/AuthorizeController.php
patching file app/code/core/Mage/Paygate/controllers/Adminhtml/Paygate/Authorizenet/PaymentController.php
patching file app/code/core/Mage/Paypal/controllers/Adminhtml/Paypal/ReportsController.php
patching file app/code/core/Mage/Rss/controllers/CatalogController.php
patching file app/code/core/Mage/Rss/controllers/OrderController.php
patching file app/code/core/Mage/Widget/Block/Adminhtml/Widget/Chooser.php
patching file app/code/core/Mage/Widget/controllers/Adminhtml/WidgetController.php
patching file app/design/frontend/base/default/template/checkout/cart.phtml
Hunk #1 succeeded at 97 (offset -1 lines).
patching file app/design/frontend/base/default/template/checkout/cart/noItems.phtml
Hunk #1 succeeded at 31 with fuzz 1.
patching file app/design/frontend/base/default/template/checkout/onepage/failure.phtml
patching file app/design/frontend/base/default/template/rss/order/details.phtml
patching file app/design/frontend/base/default/template/wishlist/email/rss.phtml
patching file app/design/frontend/default/modern/template/checkout/cart.phtml
can't find file to patch at input line 907
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/rwd/default/template/checkout/cart.phtml app/design/frontend/rwd/default/template/checkout/cart.phtml
|index 7bceece..88753c3 100644
|--- app/design/frontend/rwd/default/template/checkout/cart.phtml
|+++ app/design/frontend/rwd/default/template/checkout/cart.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
patching file downloader/Maged/.htaccess
patching file downloader/Maged/Controller.php
Hunk #4 succeeded at 451 (offset -5 lines).
Hunk #5 FAILED at 1139.
1 out of 5 hunks FAILED -- saving rejects to file downloader/Maged/Controller.php.rej
patching file downloader/Maged/Model/Session.php
Hunk #2 succeeded at 228 with fuzz 2 (offset -13 lines).
patching file downloader/lib/.htaccess
patching file downloader/template/connect/packages.phtml
Hunk #3 succeeded at 176 (offset -1 lines).
patching file downloader/template/connect/packages_prepare.phtml
patching file downloader/template/login.phtml
patching file downloader/template/settings.phtml
patching file errors/processor.php
lifesupportprint@lifesupportprint.com [~/public_html]#
------

Tags (2)
3 REPLIES

Re: Can't install SUPEE-6285

Hi @hhprint, it looks like you're missing a file. Have you removed any of the default template files? Specifically check for default/modern as that's the last line it mentioned before the error.

 

What version of Magento are you running? It looks like you're using a variation of versions for patch files just from reading the output below. If you haven't checked, you'll want to make sure you're using the correct patch file for your version.

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical

Re: Can't install SUPEE-6285

Hi!

Thank you for replying. I have Magento ver. 1.8.0.0. 

I have not removed any files from the orignial installation, that I know off. 

 

As for the patch, I downloaded the file name "PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh". Is the "1.9.1.1" the versino of Magento I should installed the specific file to? Meaning, I should've downloaded the file name "PATCH_SUPEE-6285_CE_1.8.0.0_v1-2015-07-07-09-07-17.sh"? Thank you for your help!

 

--

Rafa.

Re: Can't install SUPEE-6285

Hello @hhprint

 

Yes you will need to install the appropriate patch with your Magento version you are using.

 

If you still face the issue, the reason could be,

 

"The error you are facing is due to the spacing issue in code, we have mentioned this before as well, in patch files, it has been set that at this line, particular code needs to be changed, if patch doesn’t find the code at specified line it throws this error.

Every code line had a CRLF line (empty line) under it. This could be the reason for this error. You will need to find the file and remove this lines between code from files. In short file needs to match exactly what Magento has in its repository for the patch to apply.

Solution: Download the same exact core files for that particular Magento version fresh from the Magento site and replace them with the old core files, the patch should work perfectly."

 

source: http://magecomp.com/blog/how-to-install-magento-security-patches/

 

SECURITY DISCLAIMER: The above website contains Magento Security Patch files which are self-hosted by the user and as such unsafe. Magento Forum advise all users to only download patch files from the official Magento Downloads page. 

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html